


execute as @a[team=!spectator,gamemode=spectator] at @s unless entity @e[type=marker,tag=spectator_spawn,distance=..64] run tag @s add spec_too_far
execute if score in_progress game_state matches 1.. if score match_state game_state matches 0 as @a[team=spectator,gamemode=spectator] at @s unless entity @e[type=marker,tag=spectator_spawn,distance=..64] run tp @s @e[type=marker,tag=spectator_spawn,limit=1]
execute if score in_progress game_state matches 1.. unless score match_state game_state matches 0 as @a[team=spectator,gamemode=spectator] at @s unless entity @e[type=marker,tag=spectator_spawn,distance=..64] run tag @s add stop_spectating
tp @a[tag=spec_too_far] @e[type=marker,tag=spectator_spawn,limit=1]
tellraw @a[tag=spec_too_far] {"text":"[","color":"gold","extra":[{"text":"!","color":"yellow"},{"text":"] Please do not leave the game area."}]}
execute as @a[tag=spec_too_far] at @s run playsound minecraft:block.note_block.bass master @s ~ ~1 ~ 0.5 1.5
tag @a[tag=spec_too_far] remove spec_too_far

effect give @a[team=spectator,gamemode=!spectator] blindness 1 0 true
tp @a[team=spectator,gamemode=!spectator] @e[type=marker,tag=spectator_spawn,limit=1]
clear @a[team=spectator,gamemode=!spectator]
gamemode spectator @a[team=spectator]

execute as @a[team=!lobby,team=!spectator] at @s if entity @e[type=marker,tag=player_spawn,distance=..30] run scoreboard players operation @s spawn_id = @e[type=marker,tag=player_spawn,sort=nearest,limit=1,distance=..30] spawn_id

tp @a[tag=stop_spectating] 0 100 0 0 0
execute as @a[tag=stop_spectating] at @s run playsound minecraft:entity.player.levelup master @s ~ ~1 ~ 0.3 1.8
tellraw @a[tag=stop_spectating] {"text":"[","color":"green","extra":[{"text":"!","color":"dark_green"},{"text":"] You flew away from the current match area. You have been returned to the game lobby."}]}
team join lobby @a[tag=stop_spectating]
tag @a[tag=stop_spectating] remove stop_spectating

execute if score match_state game_state matches 1.. run clear @a[team=!spectator,team=!lobby,team=!editor,team=!trident,nbt=!{Inventory:[{id:"minecraft:bow",Slot:0b}]}] bow
execute if score match_state game_state matches 1.. run item replace entity @a[team=!spectator,team=!lobby,team=!editor,team=!red,team=!blue,team=!trident,nbt=!{Inventory:[{id:"minecraft:bow",Slot:0b}]}] hotbar.0 with bow{Unbreakable:1,HideFlags:4,display:{Name:'{"text":"Bow","color":"yellow","italic":"false"}',Lore:['{"text":"(Right Click to Shoot)","color":"dark_gray","italic":"false"}']}}
execute if score match_state game_state matches 1.. run item replace entity @a[team=red,nbt=!{Inventory:[{id:"minecraft:bow",Slot:0b}]}] hotbar.0 with bow{Unbreakable:1,HideFlags:4,display:{Name:'{"text":"Bow","color":"red","italic":"false"}',Lore:['{"text":"(Right Click to Shoot)","color":"dark_gray","italic":"false"}']}}
execute if score match_state game_state matches 1.. run item replace entity @a[team=blue,nbt=!{Inventory:[{id:"minecraft:bow",Slot:0b}]}] hotbar.0 with bow{Unbreakable:1,HideFlags:4,display:{Name:'{"text":"Bow","color":"blue","italic":"false"}',Lore:['{"text":"(Right Click to Shoot)","color":"dark_gray","italic":"false"}']}}

execute if score match_state game_state matches 1.. unless score gamemode game_state matches 5 run clear @a[team=!spectator,team=!lobby,team=!editor,nbt=!{Inventory:[{id:"minecraft:arrow",Slot:8b}]}] arrow
execute if score match_state game_state matches 1.. unless score gamemode game_state matches 5 run item replace entity @a[team=!spectator,team=!lobby,team=!editor,nbt=!{Inventory:[{id:"minecraft:arrow",Slot:8b}]}] hotbar.8 with arrow

clear @a[team=!lobby,team=!editor] minecraft:barrier

# Spawnpoint System

execute as @e[type=marker,tag=default_spawn,limit=1] at @s run spawnpoint @a[team=!editor,team=!lobby] ~ ~ ~
execute unless score start_delay time matches 256 as @e[type=marker,tag=default_spawn] at @s run tag @a[team=!lobby,team=!editor,team=!spectator,distance=..1] add respawn
execute if entity @a[tag=respawn] run function bow_game:respawn


# Timer to game start

execute if score start_delay time matches 0.. run scoreboard players remove start_delay time 1
execute if score start_delay time matches 240 as @a[team=!lobby,team=!editor] at @s run playsound minecraft:entity.player.levelup master @s ~ ~1 ~ 0.6 0.5
execute if score start_delay time matches 240 as @a[team=!lobby,team=!editor] at @s run playsound minecraft:entity.player.levelup master @s ~ ~1 ~ 0.4 1
execute if score start_delay time matches 240 run title @a[team=!lobby,team=!editor] times 10 40 20

execute if score start_delay time matches 240 if score gamemode game_state matches 0 run title @a[team=!editor,team=!lobby] title {"text":"Team Deathmatch","color":"red"}
execute if score start_delay time matches 240 if score gamemode game_state matches 1 run title @a[team=!editor,team=!lobby] title {"text":"Capture the Flag","color":"yellow"}
execute if score start_delay time matches 240 if score gamemode game_state matches 2 run title @a[team=!editor,team=!lobby] title {"text":"Resurrection","color":"green"}
execute if score start_delay time matches 240 if score gamemode game_state matches 3 run title @a[team=!editor,team=!lobby] title {"text":"Deathmatch","color":"gold"}
execute if score start_delay time matches 240 if score gamemode game_state matches 4 run title @a[team=!editor,team=!lobby] title {"text":"Crystal Keepers","color":"light_purple"}
execute if score start_delay time matches 240 if score gamemode game_state matches 5 run title @a[team=!editor,team=!lobby] title {"text":"Curse of the Trident","color":"aqua"}

execute if score start_delay time matches 240 if score map game_state matches 0 run title @a[team=!editor,team=!lobby] subtitle {"text":"- ","color":"dark_gray","extra":[{"text":"Battlefield","color":"green"},{"text":" -"}]}
execute if score start_delay time matches 240 if score map game_state matches 1 run title @a[team=!editor,team=!lobby] subtitle {"text":"- ","color":"dark_gray","extra":[{"text":"Canyon","color":"red"},{"text":" -"}]}
execute if score start_delay time matches 240 if score map game_state matches 2 run title @a[team=!editor,team=!lobby] subtitle {"text":"- ","color":"dark_gray","extra":[{"text":"Mushroom Valley","color":"light_purple"},{"text":" -"}]}
execute if score start_delay time matches 240 if score map game_state matches 3 run title @a[team=!editor,team=!lobby] subtitle {"text":"- ","color":"dark_gray","extra":[{"text":"Woodworks","color":"gold"},{"text":" -"}]}
execute if score start_delay time matches 240 if score map game_state matches 4 run title @a[team=!editor,team=!lobby] subtitle {"text":"- ","color":"dark_gray","extra":[{"text":"Coastline","color":"blue"},{"text":" -"}]}
execute if score start_delay time matches 240 if score map game_state matches 5 run title @a[team=!editor,team=!lobby] subtitle {"text":"- ","color":"dark_gray","extra":[{"text":"Ice Palace","color":"aqua"},{"text":" -"}]}
execute if score start_delay time matches 240 if score map game_state matches 6 run title @a[team=!editor,team=!lobby] subtitle {"text":"- ","color":"dark_gray","extra":[{"text":"Crypt","color":"dark_purple"},{"text":" -"}]}
execute if score start_delay time matches 240 if score map game_state matches 7 run title @a[team=!editor,team=!lobby] subtitle {"text":"- ","color":"dark_gray","extra":[{"text":"Canvas","color":"white"},{"text":" -"}]}
execute if score start_delay time matches 240 if score map game_state matches 8 run title @a[team=!editor,team=!lobby] subtitle {"text":"- ","color":"dark_gray","extra":[{"text":"Beehive","color":"yellow"},{"text":" -"}]}


execute if score start_delay time matches 160 if score gamemode game_state matches 0 run tellraw @a[team=!lobby,team=!editor] {"text":"\n Game Mode: ","color":"dark_gray","extra":[{"text":"Team Deathmatch","color":"red","bold":"true","underlined":"true"},{"color":"gray","text":"\n\n Earn one point for every player you kill on the enemy team.\n\n First team to reach "},{"score":{"name":"score_target","objective":"game_state"},"color":"aqua"},{"text":" Points","color":"dark_aqua"},{"text":" wins the game.\n","color":"gray"}]}
execute if score start_delay time matches 160 if score gamemode game_state matches 1 if score score_base game_state matches 1 run tellraw @a[team=!lobby,team=!editor] {"text":"\n Game Mode: ","color":"dark_gray","extra":[{"text":"Capture the Flag","color":"yellow","bold":"true","underlined":"true"},{"color":"gray","text":"\n\n Bring the enemy\'s flag to your team\'s flag to score a point. You can only score a point when your team\'s flag is at its starting point. Picking up your own team\'s flag will return it to its starting point.\n\n First team to reach "},{"score":{"name":"score_target","objective":"game_state"},"color":"aqua"},{"text":" Point","color":"dark_aqua"},{"text":" wins the game.\n","color":"gray"}]}
execute if score start_delay time matches 160 if score gamemode game_state matches 1 unless score score_base game_state matches 1 run tellraw @a[team=!lobby,team=!editor] {"text":"\n Game Mode: ","color":"dark_gray","extra":[{"text":"Capture the Flag","color":"yellow","bold":"true","underlined":"true"},{"color":"gray","text":"\n\n Bring the enemy\'s flag to your team\'s flag to score a point. You can only score a point when your team\'s flag is at its starting point. Picking up your own team\'s flag will return it to its starting point.\n\n First team to reach "},{"score":{"name":"score_target","objective":"game_state"},"color":"aqua"},{"text":" Points","color":"dark_aqua"},{"text":" wins the game.\n","color":"gray"}]}
execute if score start_delay time matches 160 if score gamemode game_state matches 2 if score score_base game_state matches 1 run tellraw @a[team=!lobby,team=!editor] {"text":"\n Game Mode: ","color":"dark_gray","extra":[{"text":"Resurrection","color":"green","bold":"true","underlined":"true"},{"color":"gray","text":"\n\n Kill opponents to turn them into zombies. Players can throw revival potions onto zombified teammates to resurrect them. If no player on the opposing team is alive, you will recieve a point and all opponents will be revived. \n\n First team to reach "},{"score":{"name":"score_target","objective":"game_state"},"color":"aqua"},{"text":" Point","color":"dark_aqua"},{"text":" wins the game.\n","color":"gray"}]}
execute if score start_delay time matches 160 if score gamemode game_state matches 2 unless score score_base game_state matches 1 run tellraw @a[team=!lobby,team=!editor] {"text":"\n Game Mode: ","color":"dark_gray","extra":[{"text":"Resurrection","color":"green","bold":"true","underlined":"true"},{"color":"gray","text":"\n\n Kill opponents to turn them into zombies. Players can throw revival potions onto zombified teammates to resurrect them. If no player on the opposing team is alive, you will recieve a point and all opponents will be revived. \n\n First team to reach "},{"score":{"name":"score_target","objective":"game_state"},"color":"aqua"},{"text":" Points","color":"dark_aqua"},{"text":" wins the game.\n","color":"gray"}]}
execute if score start_delay time matches 160 if score gamemode game_state matches 3 run tellraw @a[team=!lobby,team=!editor] {"text":"\n Game Mode: ","color":"dark_gray","extra":[{"text":"Deathmatch","color":"gold","bold":"true","underlined":"true"},{"color":"gray","text":"\n\n Earn one point for every player you kill.\n\n First player to reach "},{"score":{"name":"score_target","objective":"game_state"},"color":"aqua"},{"text":" Points","color":"dark_aqua"},{"text":" wins the game.\n","color":"gray"}]}
execute if score start_delay time matches 160 if score gamemode game_state matches 4 run tellraw @a[team=!lobby,team=!editor] {"text":"\n Game Mode: ","color":"dark_gray","extra":[{"text":"Crystal Keepers","color":"light_purple","bold":"true","underlined":"true"},{"color":"gray","text":"\n\n Earn one point for every second you are in possession of the End Crystal. Kill opponents with the End Crystal to make them drop it.\n\n First player to reach "},{"score":{"name":"score_target","objective":"game_state"},"color":"aqua"},{"text":" Points","color":"dark_aqua"},{"text":" wins the game.\n","color":"gray"}]}
execute if score start_delay time matches 160 if score gamemode game_state matches 5 run tellraw @a[team=!lobby,team=!editor] {"text":"\n Game Mode: ","color":"dark_gray","extra":[{"text":"Curse of the Trident","color":"aqua","bold":"true","underlined":"true"},{"color":"gray","text":"\n\n The player in possession of the trident will be eliminated when the time runs out. Pass the trident to another player by throwing it at them. Shooting another player with an arrow will temporarily stun them."},{"text":"\n\n Last Player Standing","color":"dark_aqua"},{"text":" wins the game.\n","color":"gray"}]}


execute if score start_delay time matches 1..60 run title @a[team=!lobby,team=!editor] times 0 12 8
execute if score start_delay time matches 60 run title @a[team=!lobby,team=!editor] title ""
execute if score start_delay time matches 40 run title @a[team=!lobby,team=!editor] title ""
execute if score start_delay time matches 20 run title @a[team=!lobby,team=!editor] title ""
execute if score start_delay time matches 60 run title @a[team=!lobby,team=!editor] subtitle {"text":"3","color":"red","bold":"true"}
execute if score start_delay time matches 40 run title @a[team=!lobby,team=!editor] subtitle {"text":"2","color":"gold","bold":"true"}
execute if score start_delay time matches 20 run title @a[team=!lobby,team=!editor] subtitle {"text":"1","color":"yellow","bold":"true"}
execute if score start_delay time matches 0 run title @a[team=!lobby,team=!editor] times 0 20 10
execute if score start_delay time matches 0 run title @a[team=!lobby,team=!editor] title ""
execute if score start_delay time matches 0 run title @a[team=!lobby,team=!editor] subtitle {"text":"Start!","color":"green","bold":"true"}

execute if score start_delay time matches 60 as @a[team=!lobby,team=!editor] at @s run playsound minecraft:block.note_block.pling master @s ~ ~1 ~ 0.6 1
execute if score start_delay time matches 40 as @a[team=!lobby,team=!editor] at @s run playsound minecraft:block.note_block.pling master @s ~ ~1 ~ 0.6 1
execute if score start_delay time matches 20 as @a[team=!lobby,team=!editor] at @s run playsound minecraft:block.note_block.pling master @s ~ ~1 ~ 0.6 1
execute if score start_delay time matches 0 as @a[team=!lobby,team=!editor] at @s run playsound minecraft:block.note_block.pling master @s ~ ~1 ~ 0.7 2
execute if score start_delay time matches 0 as @a[team=!lobby,team=!editor,team=!spectator] at @s run playsound minecraft:block.wooden_door.open master @s ~ ~1 ~ 0.5 1.4


# Timer

execute if score match_time game_state matches 1.. unless score gamemode game_state matches 5 if score match_time time matches 1.. if score match_state game_state matches 1.. run scoreboard players remove match_time time 1
execute if score gamemode game_state matches 5 if score match_time time matches 1.. if score match_state game_state matches 1.. run scoreboard players remove match_time time 1

scoreboard players set match_seconds time -1
scoreboard players operation match_seconds time += match_time time
scoreboard players operation match_seconds time /= ticks_per_second constants
scoreboard players add match_seconds time 1
scoreboard players operation match_minutes time = match_seconds time
scoreboard players operation match_seconds time %= seconds_per_minute constants
scoreboard players operation match_minutes time /= seconds_per_minute constants

execute if score match_time game_state matches 1.. unless score gamemode game_state matches 5 run function bow_game:update_timer
execute if score gamemode game_state matches 5 run function bow_game:update_timer

execute if score match_time game_state matches 1.. if score match_time time matches ..0 if score gamemode game_state matches 0..2 if score match_state game_state matches 1.. if score Red points > Blue points run tag @a[team=red,tag=!ghost] add winner
execute if score match_time game_state matches 1.. if score match_time time matches ..0 if score gamemode game_state matches 0..2 if score match_state game_state matches 1.. if score Red points < Blue points run tag @a[team=blue,tag=!ghost] add winner
execute if score match_time game_state matches 1.. if score match_time time matches ..0 if score gamemode game_state matches 0..2 if score match_state game_state matches 1.. if score Red points = Blue points run function bow_game:game_over
execute if score match_time game_state matches 1.. if score match_time time matches ..0 if score gamemode game_state matches 3..4 if score match_state game_state matches 1.. run tag @a[tag=leading,team=!lobby,team=!editor,team=!spectator,tag=!ghost,team=!trident] add winner
execute if score match_time game_state matches 1.. if score match_time time matches ..0 if score gamemode game_state matches 3..4 if score match_state game_state matches 1.. unless entity @a[tag=winner,team=!lobby,team=!editor,team=!spectator] run function bow_game:game_over


execute if score match_state game_state matches 0 if score start_delay time matches ..0 if score gamemode game_state matches 1 as @e[type=marker,tag=red_flag_spawn,limit=1] at @s run summon armor_stand ~ ~ ~ {Tags:["red_flag","red_flag_entity"],Invisible:1,Invulnerable:1,Small:1,DisabledSlots:4144896,NoBasePlate:1,Silent:1,PersistenceRequired:1}
execute if score match_state game_state matches 0 if score start_delay time matches ..0 if score gamemode game_state matches 1 as @e[type=marker,tag=blue_flag_spawn,limit=1] at @s run summon armor_stand ~ ~ ~ {Tags:["blue_flag","blue_flag_entity"],Invisible:1,Invulnerable:1,Small:1,DisabledSlots:4144896,NoBasePlate:1,Silent:1,PersistenceRequired:1}
execute if score match_state game_state matches 0 if score start_delay time matches ..0 if score gamemode game_state matches 4 as execute as @a[team=pvp] at @s run tag @e[type=marker,tag=player_spawn,distance=..12] add players_nearby
execute if score match_state game_state matches 0 if score start_delay time matches ..0 if score gamemode game_state matches 4 as @e[type=marker,tag=player_spawn,tag=!players_nearby,limit=1,sort=random] at @s run summon armor_stand ~ ~ ~ {Tags:["game_crystal"],Invisible:1,Invulnerable:1,Small:1,DisabledSlots:4144896,NoBasePlate:1,Silent:1,PersistenceRequired:1,Marker:1b}
execute if score match_state game_state matches 0 if score start_delay time matches ..0 if score gamemode game_state matches 4 unless entity @e[type=armor_stand,tag=game_crystal] as @e[type=marker,tag=crystal_spawn,limit=1] at @s run summon armor_stand ~ ~ ~ {Tags:["game_crystal"],Invisible:1,Invulnerable:1,Small:1,DisabledSlots:4144896,NoBasePlate:1,Silent:1,PersistenceRequired:1,Marker:1b}
execute if score match_state game_state matches 0 if score start_delay time matches ..0 if score gamemode game_state matches 4 run tag @e[tag=players_nearby] remove players_nearby
execute if score match_state game_state matches 0 if score start_delay time matches ..0 if score gamemode game_state matches 4 as @e[type=armor_stand,tag=game_crystal] at @s run playsound minecraft:entity.illusioner.mirror_move neutral @a[team=!lobby,team=!editor] ~ ~1 ~ 1 1 0.15
execute if score match_state game_state matches 0 if score start_delay time matches ..0 if score gamemode game_state matches 4 as @e[type=armor_stand,tag=game_crystal] at @s run particle minecraft:witch ~ ~0.5 ~ 0.3 0.5 0.3 1 100

execute if score match_state game_state matches 0 if score gamemode game_state matches 5 if score start_delay time matches ..0 run scoreboard players set match_state game_state 2
execute if score match_state game_state matches 0 if score gamemode game_state matches 2 if score start_delay time matches ..0 as @a unless entity @s[team=!red,team=!blue] run scoreboard players operation @s arrow_count = score_target game_state

execute if score match_state game_state matches 0 if score start_delay time matches ..0 run function bow_game:assign_spawn_ids
execute if score match_state game_state matches 0 if score start_delay time matches ..0 run scoreboard players set match_state game_state 1
execute if score in_progress game_state matches 1.. unless entity @a[team=pvp] unless entity @a[team=blue] unless entity @a[team=red] unless entity @a[team=trident] unless entity @a[team=crystal] run function bow_game:empty_lobby_end
execute unless score gamemode game_state matches 0..2 if score players count matches 1 run tag @a[team=!lobby,team=!editor,team=!spectator,tag=!ghost] add winner
execute if score red count matches 1.. if score blue count matches 0 run tag @a[team=red] add winner
execute if score red count matches 0 if score blue count matches 1.. run tag @a[team=blue] add winner
execute if entity @a[team=!lobby,team=!editor,team=!spectator,tag=winner] if score match_state game_state matches 1.. run function bow_game:game_over


# Red/Blue Spawn Area Camp Preventation
execute as @a[tag=out_of_spawn,scores={respawn_camp_timer=..200},gamemode=adventure] at @s run playsound minecraft:entity.experience_orb.pickup master @s ~ ~ ~ 0.3 1.5
title @a[tag=out_of_spawn,scores={respawn_camp_timer=..200},gamemode=adventure] actionbar ""
scoreboard players reset @a[tag=out_of_spawn,gamemode=adventure] respawn_camp_timer
tag @a[tag=out_of_spawn] remove out_of_spawn
scoreboard players reset @a[scores={respawn_camp_timer=0..},team=!red,team=!blue] respawn_camp_timer
execute if score match_state game_state matches -1 run scoreboard players reset @a[scores={respawn_camp_timer=0..}] respawn_camp_timer
tp @a[scores={respawn_camp_timer=..0}] 0 100 0 0 0
tellraw @a[scores={respawn_camp_timer=..0}] {"text":"[","color":"red","extra":[{"text":"!","color":"dark_red"},{"text":"] You were kicked from the match for idling in your team's spawn for too long."}]}
execute as @a[scores={respawn_camp_timer=..0}] at @s run playsound minecraft:block.note_block.bass master @s ~ ~1 ~ 0.4 0.7
execute as @a[scores={respawn_camp_timer=..0}] at @s run playsound minecraft:item.shield.break master @s ~ ~1 ~ 0.3 0.5
scoreboard players set @a[scores={respawn_camp_timer=..0}] disconnect 1
execute if score match_state game_state matches 1 run scoreboard players remove @a[scores={respawn_camp_timer=1..},gamemode=adventure] respawn_camp_timer 1

execute as @a[scores={respawn_camp_timer=0..}] run scoreboard players operation @s respawn_camp_disp = @s respawn_camp_timer
scoreboard players add @a[scores={respawn_camp_timer=0..}] respawn_camp_disp 19
execute as @a[scores={respawn_camp_timer=0..}] run scoreboard players operation @s respawn_camp_disp /= ticks_per_second constants

execute as @a[scores={respawn_camp_timer=..200}] run title @s actionbar {"text":"Leave your team's spawn in ","color":"gold","extra":[{"score":{"objective":"respawn_camp_disp","name":"@s"},"color":"yellow","bold":"true"},{"text":" Seconds","color":"yellow"}]}
execute as @a[scores={respawn_camp_timer=200},gamemode=adventure] at @s run playsound minecraft:block.note_block.hat master @s ~ ~ ~ 0.4 0.8
execute as @a[scores={respawn_camp_timer=180},gamemode=adventure] at @s run playsound minecraft:block.note_block.hat master @s ~ ~ ~ 0.4 0.8
execute as @a[scores={respawn_camp_timer=160},gamemode=adventure] at @s run playsound minecraft:block.note_block.hat master @s ~ ~ ~ 0.4 0.8
execute as @a[scores={respawn_camp_timer=140},gamemode=adventure] at @s run playsound minecraft:block.note_block.hat master @s ~ ~ ~ 0.4 0.8
execute as @a[scores={respawn_camp_timer=120},gamemode=adventure] at @s run playsound minecraft:block.note_block.hat master @s ~ ~ ~ 0.4 0.8
execute as @a[scores={respawn_camp_timer=100},gamemode=adventure] at @s run playsound minecraft:block.note_block.hat master @s ~ ~ ~ 0.4 0.8
execute as @a[scores={respawn_camp_timer=80},gamemode=adventure] at @s run playsound minecraft:block.note_block.hat master @s ~ ~ ~ 0.4 0.8
execute as @a[scores={respawn_camp_timer=60},gamemode=adventure] at @s run playsound minecraft:block.note_block.hat master @s ~ ~ ~ 0.4 0.8
execute as @a[scores={respawn_camp_timer=40},gamemode=adventure] at @s run playsound minecraft:block.note_block.hat master @s ~ ~ ~ 0.4 0.8
execute as @a[scores={respawn_camp_timer=20},gamemode=adventure] at @s run playsound minecraft:block.note_block.hat master @s ~ ~ ~ 0.4 0.8

# Game ending sequence

execute if score match_state game_state matches -1 if score end_delay time matches 1.. run scoreboard players remove end_delay time 1
execute if score match_state game_state matches -1 if score end_delay time matches 240 run function bow_game:winner_fireworks
execute if score match_state game_state matches -1 if score end_delay time matches 200 run function bow_game:winner_fireworks
execute if score match_state game_state matches -1 if score end_delay time matches 160 run function bow_game:winner_fireworks
execute if score match_state game_state matches -1 if score end_delay time matches 120 run function bow_game:winner_fireworks
execute if score match_state game_state matches -1 if score end_delay time matches 80 run function bow_game:winner_fireworks
execute if score match_state game_state matches -1 if score end_delay time matches 40 run function bow_game:winner_fireworks
execute if score in_progress game_state matches 1.. if score match_state game_state matches -1 if score end_delay time matches ..0 run function bow_game:game_end


